--- /usr/src/sys/vm/uma_core.c	Thu Feb 15 00:02:47 2007
+++ uma_core.c	Thu Mar 29 00:02:24 2007
@@ -1717,6 +1717,16 @@
 }
 
 /* See uma.h */
+int
+uma_get_align(void)
+{
+
+	KASSERT(uma_align_cache != UMA_ALIGN_CACHE,
+	    ("Impossible value for cache line boundary"));
+	return (uma_align_cache);
+}
+
+/* See uma.h */
 void
 uma_set_align(int align)
 {
--- /usr/src/sys/vm/uma.h	Thu Feb 15 00:02:46 2007
+++ uma.h	Wed Mar 28 20:22:00 2007
@@ -388,6 +388,17 @@
 void uma_reclaim(void);
 
 /*
+ * Gets the current alignment mask used by all zones requesting cache alignment.
+ *
+ * Arguments:
+ *	None
+ *
+ * Returns:
+ *	The alignment mask
+ */
+int uma_get_align(void);
+
+/*
  * Sets the alignment mask to be used for all zones requesting cache
  * alignment.  Should be called by MD boot code prior to starting VM/UMA.
  *
